/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package vista.sumKidsVista;

import controlador.ctrlSunKidsClub.controladorSecretaria;
import controlador.pdf.FacturaPDF;
import controlador.tda.lista.ListaEnlazada;
import controlador.tda.lista.exception.PosicionException;
import java.io.IOException;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import modelo.SumKids.Empleados;
import modelo.SumKids.Estudiantes;
import modelo.SumKids.Facturas;
import modelo.SumKids.Profesores;
import modelo.SumKids.Representantes;

/**
 *
 * @author User
 */
public class FrmFactura extends javax.swing.JFrame {
    
    private controladorSecretaria sercre ;
    private ListaEnlazada<Representantes> lr = new ListaEnlazada<>();
    private ListaEnlazada<Estudiantes> le = new ListaEnlazada<>();
    private Facturas fact = new Facturas();
    private ListaEnlazada<Object[]> lO = new ListaEnlazada<>();
    private Double pencion=0.0;
    private int fila;

    /**
     * Creates new form FrmFactura
     */
    public FrmFactura() throws SQLException {
        initComponents();
        rsscalelabel.RSScaleLabel.setScaleLabel(jLabel12, "src/vista/imagenes/Logo (1).jpg");
        rsscalelabel.RSScaleLabel.setScaleLabel(jLabel3, "src/vista/imagenes/Fondo3.jpeg");
        this.setLocationRelativeTo(null);
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd hh:mm");
        this.lbl_fecha.setText(sercre.nFacturas().toString());
        lbl_fecha.setText(dateFormat.format(Calendar.getInstance().getTime()));
        try {
            fact.setId_factura(this.sercre.nFacturas());
        } catch (SQLException ex) {
            Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    public FrmFactura(controladorSecretaria se) {
        try {
            this.sercre = se;
            initComponents();
            rsscalelabel.RSScaleLabel.setScaleLabel(jLabel12, "src/vista/imagenes/Logo (1).jpg");
            rsscalelabel.RSScaleLabel.setScaleLabel(jLabel3, "src/vista/imagenes/Fondo3.jpeg");
            this.setLocationRelativeTo(null);
            SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd hh:mm");
            lbl_fecha.setText(dateFormat.format(Calendar.getInstance().getTime()));
            lblid_factura.setText(""+(this.sercre.nFacturas()));
            try {
                fact.setId_factura(this.sercre.nFacturas());
            } catch (SQLException ex) {
                Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
            }
        } catch (SQLException ex) {
            Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
        }
       
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        lbl_fecha = new javax.swing.JLabel();
        lblid_factura = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        txtnombre = new javax.swing.JTextField();
        txtcelular = new javax.swing.JTextField();
        txtapellido = new javax.swing.JTextField();
        txtdireccion = new javax.swing.JTextField();
        txtidentificacion = new javax.swing.JTextField();
        txtdetalle = new javax.swing.JTextField();
        jScrollPane2 = new javax.swing.JScrollPane();
        tbl_datosfactura = new javax.swing.JTable();
        jLabel11 = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        txtpension = new javax.swing.JTextField();
        btnAtras = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jLabel13 = new javax.swing.JLabel();
        txtidentificacion1 = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        cmdCerrar = new javax.swing.JButton();
        jPanel4 = new javax.swing.JPanel();
        jScrollPane3 = new javax.swing.JScrollPane();
        jTable2 = new javax.swing.JTable();
        jLabel3 = new javax.swing.JLabel();

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(jTable1);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setUndecorated(true);

        jPanel1.setBackground(new java.awt.Color(204, 204, 204));
        jPanel1.setBorder(new javax.swing.border.MatteBorder(null));
        jPanel1.setLayout(null);

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 2), "Datos de la Factura", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Cambria", 1, 14))); // NOI18N
        jPanel2.setLayout(null);

        jLabel1.setFont(new java.awt.Font("Cambria", 1, 12)); // NOI18N
        jLabel1.setText("Nro. Factura: ");
        jPanel2.add(jLabel1);
        jLabel1.setBounds(20, 30, 100, 20);

        jLabel2.setFont(new java.awt.Font("Cambria", 1, 12)); // NOI18N
        jLabel2.setText("Fecha: ");
        jPanel2.add(jLabel2);
        jLabel2.setBounds(200, 30, 60, 20);

        lbl_fecha.setFont(new java.awt.Font("Cambria", 0, 12)); // NOI18N
        jPanel2.add(lbl_fecha);
        lbl_fecha.setBounds(260, 30, 120, 20);

        lblid_factura.setForeground(new java.awt.Color(255, 0, 0));
        jPanel2.add(lblid_factura);
        lblid_factura.setBounds(110, 30, 70, 20);

        jPanel1.add(jPanel2);
        jPanel2.setBounds(450, 100, 400, 70);

        jPanel3.setBackground(new java.awt.Color(255, 255, 255));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 2), "Datos del Cliente", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Cambria", 1, 14))); // NOI18N
        jPanel3.setLayout(null);

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel5.setText("Remitente:");
        jPanel3.add(jLabel5);
        jLabel5.setBounds(20, 30, 70, 15);

        jLabel6.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel6.setText("Apellido:");
        jPanel3.add(jLabel6);
        jLabel6.setBounds(220, 70, 60, 15);

        jLabel7.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel7.setText("Celular:");
        jPanel3.add(jLabel7);
        jLabel7.setBounds(20, 110, 60, 15);

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel8.setText("Dirección:");
        jPanel3.add(jLabel8);
        jLabel8.setBounds(220, 110, 70, 14);

        jLabel9.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel9.setText("Identificación:");
        jPanel3.add(jLabel9);
        jLabel9.setBounds(20, 150, 100, 15);

        jLabel10.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel10.setText("Detalle:");
        jPanel3.add(jLabel10);
        jLabel10.setBounds(20, 190, 60, 15);

        txtnombre.setEditable(false);
        txtnombre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtnombreActionPerformed(evt);
            }
        });
        jPanel3.add(txtnombre);
        txtnombre.setBounds(90, 60, 110, 30);

        txtcelular.setEditable(false);
        jPanel3.add(txtcelular);
        txtcelular.setBounds(90, 100, 110, 30);

        txtapellido.setEditable(false);
        jPanel3.add(txtapellido);
        txtapellido.setBounds(290, 60, 110, 30);

        txtdireccion.setEditable(false);
        jPanel3.add(txtdireccion);
        txtdireccion.setBounds(290, 100, 110, 30);
        jPanel3.add(txtidentificacion);
        txtidentificacion.setBounds(100, 20, 110, 30);

        txtdetalle.setEditable(false);
        jPanel3.add(txtdetalle);
        txtdetalle.setBounds(90, 180, 230, 30);

        tbl_datosfactura.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane2.setViewportView(tbl_datosfactura);

        jPanel3.add(jScrollPane2);
        jScrollPane2.setBounds(20, 220, 370, 110);

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel11.setText("Pensión:");
        jPanel3.add(jLabel11);
        jLabel11.setBounds(10, 350, 70, 20);

        jButton1.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jButton1.setText("+");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jPanel3.add(jButton1);
        jButton1.setBounds(270, 140, 50, 25);
        jPanel3.add(txtpension);
        txtpension.setBounds(80, 340, 80, 30);

        btnAtras.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnAtras.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/door.png"))); // NOI18N
        btnAtras.setText("Atrás");
        btnAtras.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAtrasActionPerformed(evt);
            }
        });
        jPanel3.add(btnAtras);
        btnAtras.setBounds(320, 340, 90, 30);

        jButton2.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jButton2.setText("Facturar");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });
        jPanel3.add(jButton2);
        jButton2.setBounds(190, 340, 90, 30);

        jButton3.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jButton3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/add.png"))); // NOI18N
        jButton3.setText("Agregar");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });
        jPanel3.add(jButton3);
        jButton3.setBounds(330, 180, 81, 30);

        jLabel13.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel13.setText("Nombre:");
        jPanel3.add(jLabel13);
        jLabel13.setBounds(20, 70, 70, 15);
        jPanel3.add(txtidentificacion1);
        txtidentificacion1.setBounds(120, 140, 140, 30);

        jPanel1.add(jPanel3);
        jPanel3.setBounds(0, 100, 440, 430);

        jLabel12.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/Logo (1).jpg"))); // NOI18N
        jLabel12.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jPanel1.add(jLabel12);
        jLabel12.setBounds(190, 10, 250, 74);

        cmdCerrar.setBackground(new java.awt.Color(255, 255, 255));
        cmdCerrar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdCerrar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        cmdCerrar.setToolTipText("Eliminar");
        cmdCerrar.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdCerrarActionPerformed(evt);
            }
        });
        jPanel1.add(cmdCerrar);
        cmdCerrar.setBounds(790, 0, 60, 30);

        jPanel4.setBackground(new java.awt.Color(255, 255, 255));
        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 2), "Buscar", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 12))); // NOI18N
        jPanel4.setLayout(null);

        jTable2.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jTable2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTable2MouseClicked(evt);
            }
        });
        jScrollPane3.setViewportView(jTable2);

        jPanel4.add(jScrollPane3);
        jScrollPane3.setBounds(10, 40, 380, 154);

        jPanel1.add(jPanel4);
        jPanel4.setBounds(450, 190, 400, 220);

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/Fondo3.jpeg"))); // NOI18N
        jPanel1.add(jLabel3);
        jLabel3.setBounds(0, 0, 850, 550);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 850, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 552, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void txtnombreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtnombreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtnombreActionPerformed

    private void btnAtrasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAtrasActionPerformed
        new FrmMenuSecr().setVisible(true);
        this.setVisible(false);
    }//GEN-LAST:event_btnAtrasActionPerformed
    
    public DefaultTableModel returnTEtudiant() {
        DefaultTableModel model = new DefaultTableModel();
        model.addColumn("Nombre");
        model.addColumn("Apellido");
        model.addColumn("Identificacion");
        model.addColumn("Genero");
        model.addColumn("Pension");
        model.addColumn("Estado");
        try {
            le = sercre.busacarEstudiantes(lr.obtenerDato(0).getId_representante(), "id_representante", true);
            System.out.println("adsasd");
        } catch (PosicionException ex) {
            Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
        }
        
        String datos[] = new String[6];
        for (int i = 0; i < le.getSize(); i++) {
            try {
                datos[0] = le.obtenerDato(i).getNombres();
                datos[1] = le.obtenerDato(i).getApellidos();
                datos[2] = le.obtenerDato(i).getIdentificacion();
                datos[3] = String.valueOf(le.obtenerDato(i).getGenero());
                datos[4] = le.obtenerDato(i).getPension().toString();
                datos[5] = le.obtenerDato(i).getEstado().toString();
                model.addRow(datos);
                
            } catch (PosicionException ex) {
                Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        return model;
        
    }
    
    public DefaultTableModel returnTD() {
        DefaultTableModel model = new DefaultTableModel();
        model.addColumn("Detalle");
        model.addColumn("Costo");
        String datos[] = new String[2];
        for (int i = 0; i < lO.getSize(); i++) {
            try {
                datos[0] = lO.obtenerDato(i)[0].toString();
                datos[1] = lO.obtenerDato(i)[1].toString();
                model.addRow(datos);
                
            } catch (PosicionException ex) {
                Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        return model;
        
    }

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        try {
            lr = this.sercre.busacarRepresentantes(this.txtidentificacion1.getText(), "identificacion", false);
            this.fact.setApellido(lr.obtenerDato(0).getApellidos());
            this.fact.setNombre(lr.obtenerDato(0).getNombres());
            this.fact.setIdentificacion(lr.obtenerDato(0).getIdentificacion());
            this.txtnombre.setText(String.valueOf(lr.obtenerDato(0).getNombres()));
            this.txtapellido.setText(String.valueOf(lr.obtenerDato(0).getApellidos()));
            this.txtdireccion.setText(String.valueOf(lr.obtenerDato(0).getDireccion()));
            this.txtcelular.setText(String.valueOf(lr.obtenerDato(0).getCelular()));
            System.out.println(lr.obtenerDato(0).getId_representante());
            this.jTable2.setModel(this.returnTEtudiant());
        } catch (Exception e) {
              JOptionPane.showMessageDialog(null,"No se completo la accion");
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void cmdCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdCerrarActionPerformed
        System.exit(0);
    }//GEN-LAST:event_cmdCerrarActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
//        txtdetalle.getText().isEmpty();
//            JOptionPane.showMessageDialog(null, "Campos Vacíos", "ERROR", JOptionPane.ERROR_MESSAGE);
//        else {
            Object[] arrayOb = new Object[2];
            arrayOb[0] = txtdetalle.getText();
            arrayOb[1] = Double.valueOf(String.valueOf(jTable2.getValueAt(fila, 4)));
            System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            this.lO.insertarCabecera(arrayOb);
            System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            this.pencion += Double.valueOf(String.valueOf(jTable2.getValueAt(fila, 4)));
            this.txtpension.setText(pencion.toString());
            this.tbl_datosfactura.setModel(returnTD());
//        }

    }//GEN-LAST:event_jButton3ActionPerformed

    public void probar(){
    
        System.out.println("sout"
                + "");
    }
    
    
    private void jTable2MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTable2MouseClicked
        // TODO add your handling code here:
        fila = jTable2.rowAtPoint(evt.getPoint());
        System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
        txtdetalle.setText(String.valueOf(jTable2.getValueAt(fila, 0) + " " + jTable2.getValueAt(fila, 1) + " " + jTable2.getValueAt(fila, 2)));
         
    }//GEN-LAST:event_jTable2MouseClicked

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        try {
            if (!fact.equals(new Facturas()) && !lO.equals(new ListaEnlazada<Object[]>())&& !this.txtidentificacion.equals(null)) {
                ListaEnlazada<Empleados> em = new ListaEnlazada<>();
                em = sercre.busacarEmple(this.txtidentificacion.getText(), "identificacion", false);
                FacturaPDF pdf = new FacturaPDF();
                pdf.tablaPDF(fact, em.obtenerDato(0),lO);
                 JOptionPane.showMessageDialog(null,"Facturado correctamente");
            }else{
                 JOptionPane.showMessageDialog(null,"No se completo la accion");
            }

        } catch (SQLException | PosicionException | IOException ex) {
                JOptionPane.showMessageDialog(null,"No se completo la accion");
        }

    }//GEN-LAST:event_jButton2ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmFactura.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmFactura.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmFactura.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmFactura.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                try {
                    new FrmFactura().setVisible(true);
                } catch (SQLException ex) {
                    Logger.getLogger(FrmFactura.class.getName()).log(Level.SEVERE, null, ex);
                }
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAtras;
    private javax.swing.JButton cmdCerrar;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JTable jTable1;
    private javax.swing.JTable jTable2;
    private javax.swing.JLabel lbl_fecha;
    private javax.swing.JLabel lblid_factura;
    private javax.swing.JTable tbl_datosfactura;
    private javax.swing.JTextField txtapellido;
    private javax.swing.JTextField txtcelular;
    private javax.swing.JTextField txtdetalle;
    private javax.swing.JTextField txtdireccion;
    private javax.swing.JTextField txtidentificacion;
    private javax.swing.JTextField txtidentificacion1;
    private javax.swing.JTextField txtnombre;
    private javax.swing.JTextField txtpension;
    // End of variables declaration//GEN-END:variables
}
